<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.bookmark.BookmarkFolderActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Select Folder"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <ImageView
            android:id="@+id/iv_new_folder"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="18dp"
            android:enabled="false"
            android:gravity="center"
            android:src="@mipmap/tianjia_bookmark"
            android:text="Save"
            android:textColor="@color/white"
            android:textSize="18sp"
            tools:ignore="ContentDescription,HardcodedText" />

    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="50dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="16dp"
            android:text="Root Directory"
            android:textColor="@color/black"
            android:textSize="16sp"
            tools:ignore="HardcodedText" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_gravity="bottom"
            android:background="#E5E6EB" />

        <ImageView
            android:id="@+id/iv_root_selector"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="18dp"
            android:src="@drawable/bg_selector_bookmark"
            tools:ignore="ContentDescription" />

    </FrameLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        tools:listitem="@layout/item_bookmark_folder" />

</LinearLayout>